﻿$ErrorActionPreference = 'Stop'

if ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86) {
  throw ("This application currently only supports 64-bit Windows systems.")
}

if ([Environment]::OSVersion.Version.Major -lt 10) {
  throw ("Since v5.1.4 release, the app doesn't support Windows systems older than 10.")
}

$packageArgs = @{
  url64         = 'https://github.com/vladimiry/ElectronMail/releases/download/v5.2.1/electron-mail-5.2.1-windows-x64-nsis-installer.exe'
  checksum64    = '9a36c57efa8534a0eef567afea9ed0c5e3cfef2e655230915adce33696ac4edc'
  checksumType  = 'sha256'
  softwareName  = 'ElectronMail*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  packageName   = $env:ChocolateyPackageName
}

Install-ChocolateyPackage @packageArgs
